MyGUI::GlyphInfo Struct Reference

`#include <MyGUI_FontData.h>`

## Public Member Functions

| GlyphInfo (Char _codePoint=0U, float _width=0.0f, float _height=0.0f, float _advance=0.0f, float _bearingX=0.0f, float _bearingY=0.0f, const FloatRect &_uvRect=FloatRect())

## Data Fields

Char | codePoint
float | width
float | height
float | advance
float | bearingX
float | bearingY
FloatRect | uvRect

## Detailed Description

Definition at line 40 of file MyGUI_FontData.h.

## Constructor & Destructor Documentation

## GlyphInfo()

MyGUI::GlyphInfo::GlyphInfo | ( | Char | _codePoint = 0U,
|  | float | _width = 0.0f,
|  | float | _height = 0.0f,
|  | float | _advance = 0.0f,
|  | float | _bearingX = 0.0f,
|  | float | _bearingY = 0.0f,
|  | const FloatRect & | _uvRect = FloatRect() )

inline

Definition at line 42 of file MyGUI_FontData.h.

## Field Documentation

## advance

float MyGUI::GlyphInfo::advance

Definition at line 63 of file MyGUI_FontData.h.

## bearingX

float MyGUI::GlyphInfo::bearingX

Definition at line 64 of file MyGUI_FontData.h.

## bearingY

float MyGUI::GlyphInfo::bearingY

Definition at line 65 of file MyGUI_FontData.h.

## codePoint

Char MyGUI::GlyphInfo::codePoint

Definition at line 60 of file MyGUI_FontData.h.

## height

float MyGUI::GlyphInfo::height

Definition at line 62 of file MyGUI_FontData.h.

## uvRect

FloatRect MyGUI::GlyphInfo::uvRect

Definition at line 66 of file MyGUI_FontData.h.

## width

float MyGUI::GlyphInfo::width

Definition at line 61 of file MyGUI_FontData.h.

The documentation for this struct was generated from the following file:

- MyGUI_FontData.h